#include <avr/io.h>
#include <util/delay.h>

#include "config.h"

#include "spi.h"
#include "opelLCD.h"


void init()
{
	spi_init();
	lcd_init();

	return;
}


int main (void)
{
	uint8_t i;

	init();

	lcd_set_symbol_left	(1);
	lcd_set_symbol_middle	(1);
	lcd_set_symbol_right	(1);

	_delay_ms 		(2000);


	while (1)
	{
		for (i=0; i<11; i++)
		{
			lcd_set_digit_1 (i);
			lcd_set_digit_2 (i);
			lcd_set_digit_3 (i);
			lcd_update();

			_delay_ms (750);
		}

		for (i=0; i<35; i++)
		{
			lcd_set_tanklevel (i/2,i % 8);
			lcd_set_templevel (i/5,i % 8);
			lcd_set_voltlevel (i/5,i % 8);
			lcd_set_oillevel  (i/5,i % 8);
			lcd_set_upm       (i);
			lcd_update();

			_delay_ms (30);
		}
	}

	return(0);
}