#ifndef _opelLCD_h
#define _opelLCD_h


// Low Level Funktions
void lcd_init();					// Setzt Portpins und cleard Schieberegister, KEIN HW-SPI INIT
void lcd_blank();					// Schaltet Display "dunkel"
void lcd_unblank();					// Schaltet wieder zurück
void lcd_latch();					// Übernimmt Bits aus dem Schieberegister ins Latch -> Somit anzeige
void lcd_clear();					// Cleard Schieberegister und Latchd
void lcd_update();					//Überträgt die Hilfsvariablen in das Schieberegister und Latchd
void lcd_do 	(	uint8_t a,
			uint8_t b,
			uint8_t c,
			uint8_t d,
			uint8_t e,
			uint8_t f,
			uint8_t g,
			uint8_t h,
			uint8_t i,
			uint8_t j,
			uint8_t k,
			uint8_t l
		);



//----------------------------------------------------------------------------------------------
//			Hier beginnen die "höheren" Funktionen der Lib
//----------------------------------------------------------------------------------------------
//
// Die folgenden Funktionen manipulieren nur die Internen Hilfsvariablen,
// erst ein lcd_update(); überträgt in das Display.


void lcd_set_symbol_left  (uint8_t w);			// Schaltet mit w!=0 die Bargraph der linken Anzeige ein
void lcd_set_symbol_middle(uint8_t w);			// Schaltet mit w!=0 das km/h Symbol des mittleren TachoDisplay an
void lcd_set_symbol_right (uint8_t w);			// Schaltet mit w!=0 die DZM-Symbolik an


void lcd_set_tanklevel	(uint8_t tank, uint8_t w);	// Setzt Tanklevel von 0 bis x --  W!=0 schaltet Warnfeld  für x in funktion schauen
void lcd_set_templevel	(uint8_t temp, uint8_t w);	// Setzt Templevel von 0 bis x --  W!=0 schaltet Warnfeld
void lcd_set_voltlevel	(uint8_t volt, uint8_t w);	// Setzt Voltlevel von 0 bis x --  W!=0 schaltet Warnfeld
void lcd_set_oillevel	(uint8_t oil , uint8_t w);	// Setzt Oillevel  von 0 bis x --  W!=0 schaltet Warnfeld


void lcd_set_digit_1	(uint8_t n);			// Jeweiliges Tacho-Digit durchzählen, für grenzen siehe funktionsrumpf
void lcd_set_digit_2	(uint8_t n);			// Jeweiliges Tacho-Digit durchzählen, für grenzen siehe funktionsrumpf
void lcd_set_digit_3	(uint8_t n);			// Jeweiliges Tacho-Digit durchzählen, für grenzen siehe funktionsrumpf


void lcd_set_upm	(uint8_t n);			// ...und hier der Drehzahlmesser


#endif